## kcm-touchpad 0.0+git20140305

=== CMakeLists.txt ===
project(kcm-touchpad)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
    ${CMAKE_MODULE_PATH}
)
set(CMAKE_INCLUDE_CURRENT_DIR true)
set(TOUCHPAD_KCM_VERSION "0.99")

find_package(KDE4 REQUIRED)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND KDE4_KDECONFIG_EXECUTABLE)
    execute_process(COMMAND ${KDE4_KDECONFIG_EXECUTABLE} --prefix
                    OUTPUT_VARIABLE _DETECTED_INSTALL_PREFIX
    )
    if (_DETECTED_INSTALL_PREFIX)
        set(CMAKE_INSTALL_PREFIX ${_DETECTED_INSTALL_PREFIX}
            CACHE PATH "" FORCE
        )
    endif()
endif()

include(KDE4Defaults)
include_directories(${KDE4_INCLUDES})

add_subdirectory(src)
add_subdirectory(icon)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/l10n.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(uk)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(de)
add_subdirectory(hu)
add_subdirectory(sk)
add_subdirectory(nl)
add_subdirectory(bs)
add_subdirectory(sv)
add_subdirectory(pt_BR)
add_subdirectory(lt)
add_subdirectory(es)
add_subdirectory(pt)

=== src/CMakeLists.txt ===
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/version.h"
)

SET(SRCS
    plugins.cpp
    touchpadbackend.cpp
)

include(backends/x11.cmake)

set(SRCS
    ${SRCS}
    kcm/customslider.cpp
    kcm/sliderpair.cpp
    kcm/testarea.cpp
    kcm/testbutton.cpp
    kcm/touchpadconfig.cpp
    kcm/touchpadparametersbase.cpp
    kcm/customconfigdialogmanager.cpp
)

qt4_add_dbus_interfaces(SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
)

kde4_add_kcfg_files(SRCS kcm/touchpadparameters.kcfgc)

kde4_add_ui_files(SRCS
                  kcm/ui/pointermotion.ui
                  kcm/ui/tap.ui
                  kcm/ui/scroll.ui
                  kcm/ui/sensitivity.ui
                  kcm/ui/kded.ui
                  kcm/ui/testarea.ui
)

qt4_generate_dbus_interface(kded/kded.h org.kde.touchpad.xml)

SET(SRCS
    ${SRCS}
    kded/kded.cpp
    kded/kdedactions.cpp
)

kde4_add_kcfg_files(SRCS kded/kdedsettings.kcfgc)

kde4_add_plugin(kded_touchpad
                ${SRCS}
                ${backend_SRCS}
)
target_link_libraries(kded_touchpad
                      ${backend_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KNOTIFYCONFIG_LIBRARY}
)

add_subdirectory(applet)

install(FILES kcm/kcm_touchpad.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)

install(FILES kded/touchpaddaemon.kcfg
        DESTINATION ${KCFG_INSTALL_DIR}
)
install(FILES kded/kded_touchpad.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}/kded
        RENAME touchpad.desktop
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
        DESTINATION ${DBUS_INTERFACES_INSTALL_DIR}
)
install(FILES kded/kcm_touchpad.notifyrc
        DESTINATION ${DATA_INSTALL_DIR}/kcm_touchpad
)

install(TARGETS kded_touchpad
        DESTINATION ${PLUGIN_INSTALL_DIR}
)

install(FILES kcm/touchpad.kcfg
        DESTINATION ${KCFG_INSTALL_DIR}
)

=== src/applet/CMakeLists.txt ===
add_subdirectory(qml)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/dataengine.desktop"
               "${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-touchpad.desktop"
)

set(Applet_SRCS
    touchpadengine.cpp
    touchpadservice.cpp
)

qt4_generate_dbus_interface(../kded/kded.h org.kde.touchpad.xml)
qt4_add_dbus_interfaces(Applet_SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
)
qt4_add_dbus_interfaces(Applet_SRCS
                        ${KDE4_DBUS_INTERFACES_DIR}/org.kde.kded.xml
)

kde4_add_plugin(plasma_engine_touchpad ${Applet_SRCS})
target_link_libraries(plasma_engine_touchpad
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KUTILS_LIBS}
)

install(TARGETS plasma_engine_touchpad
        DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-touchpad.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)
install(FILES touchpad.operations
        DESTINATION ${DATA_INSTALL_DIR}/plasma/services
)
install(FILES touchpad.svg
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons
)

=== debian/changelog ===
kcm-touchpad (0.0+git20140305-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot
   - fixes touchpad enable/disable working https://bugs.kde.org/331285

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Mar 2014 16:10:48 +0000

kcm-touchpad (0.0+git20140123-0ubuntu1) trusty; urgency=low


  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 04 Dec 2013 16:23:34 +0100

=== debian/control ===
Source: kcm-touchpad
Section: kde
Priority: optional
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               pkg-kde-tools,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-record0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               xserver-xorg-dev,
               xserver-xorg-input-synaptics-dev
Standards-Version: 3.9.5
Homepage: http://www.kde.org

Package: kde-touchpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: touchpad configuration tool for KDE
 The package provides a KDE System Settings module that
 allows configuration of touchpads on KDE.

Package: kde-touchpad-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-touchpad (= ${binary:Version}), ${misc:Depends}
Description: touchpad configuration tool for KDE
 The package provides a KDE System Settings module that
 allows configuration of touchpads on KDE.
 .
 This package contains debugging symbols for the kde-touchpad-config
 package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --dbg-package=kde-touchpad-dbg

## kcm-touchpad 0.3.1

=== debian/changelog ===
kcm-touchpad (0.3.1-0ubuntu7) maverick; urgency=low

  * Add kubuntu_04_fix_circular_scrolling.diff to fix circular scrolling.
    Thanks to Daniel (LP: #580090)
  * Add kubuntu_05_correct_systemsettings_category.diff to get kcm-touchpad
    out of lost and found

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 19 Jul 2010 11:43:52 -0400

kcm-touchpad (0.3.1-0ubuntu6) maverick; urgency=low

  * Install "usr" instead of "*" to fix FTBFS.
  * Call dh_install with --fail-missing.
  * Switch transitional package to arch all.
  * kde-config-touchpad Replaces/Breaks kcm-touchpad.
  * Bump Standards-Version to 3.9.0, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 17 Jul 2010 14:55:33 +0200

kcm-touchpad (0.3.1-0ubuntu5) maverick; urgency=low

  * Actually install stuff to kde-config-touchpad... (LP: #606573)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 17 Jul 2010 08:03:00 +0200

kcm-touchpad (0.3.1-0ubuntu4) maverick; urgency=low

  [ Felix Geyer ]
  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

  [ Jonathan Thomas ]
  * Rename binary package to kde-config-touchpad
  * Add a binary transitional package for kcm-touchpad

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 20:22:23 +0200

kcm-touchpad (0.3.1-0ubuntu3) lucid; urgency=low

  [ Felix Geyer ]
  * Add kubuntu_02_load_error_checking.diff (LP: #551456)
  * Add kubuntu_03_fix_high_sensitivity.diff

 -- Scott Kitterman <scott@kitterman.com>  Sat, 24 Apr 2010 10:20:55 -0400

kcm-touchpad (0.3.1-0ubuntu2) lucid; urgency=low

  * Rebuild upload so that translations will be extracted now that we're in
    main (LP: #560866)
  * Remove obsolete include of kubuntu-desktop-i18n/debhelper/kubuntu.mk in
    debian/rules, the dh kde target now incorporates this.
  * Bump Standards-Version to 3.8.3, no changes required
  * Add kubuntu_01_disable_smart_mode_settings.diff. This hides the Smart Mode
    group box, since the feature hasn't been written yet and the disabled GUI
    is confusing. (LP: #551467)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 11 Apr 2010 20:31:30 -0400

kcm-touchpad (0.3.1-0ubuntu1) lucid; urgency=low

  * Initial release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 10 Nov 2009 11:19:42 -0500

=== debian/control ===
Source: kcm-touchpad
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonthan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               cmake,
               kdelibs5-dev,
               libxi-dev,
               gettext
Standards-Version: 3.9.0
Homepage: http://kde-apps.org/content/show.php?content=113335

Package: kde-config-touchpad
Architecture: any
Replaces: kcm-touchpad (<< 0.3.1-0ubuntu4)
Breaks: kcm-touchpad (<< 0.3.1-0ubuntu4)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Configuration module for laptop touchpad configuration
 This is a configuration module for System Settings for configuring laptop
 touchpads. With it the user can configure sensitivity, scrolling settings,
 as well as enable "Smart Mode", which disables the touchpad while typing.

Package: kcm-touchpad
Architecture: all
Depends: ${misc:Depends}, kde-config-touchpad
Description: transitional package for kde-config-touchpad
 This is a dummy transitional package for the kde-config-touchpad package.
 .
 This package can be safely removed once installed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_install:
	dh_install --fail-missing

## kcm-touchpad 5.1.95

=== debian/changelog ===
kcm-touchpad (4:5.1.95-0ubuntu3) vivid; urgency=medium

  * Add kubuntu_disable-applet.diff to not install broken applet

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Mar 2015 20:41:40 +0100

kcm-touchpad (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * Add transitional package for kde-touchpad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 11:16:19 +0100

kcm-touchpad (4:5.1.95-0ubuntu1) vivid; urgency=medium

  [ Paulo Dias ]
  * First Build for kf5.

  [ Harald Sitter ]
  * Fix up debian/ to base on what we had in Kubuntu trusty.
  * Add lintian override for missing manpage

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add missing xcb build-deps (not sure they're all used but it keeps
    cmake happy)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:20:51 +0100

=== debian/control ===
Source: kcm-touchpad
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               kded5-dev,
               kinit-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-dri2-0-dev,
               libxcb-dri3-dev,
               libxcb-ewmh-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-record0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util0-dev,
               libxcb-xevie0-dev,
               libxcb-xf86dri0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb-xprint0-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-framework-dev,
               xserver-xorg-dev,
               xserver-xorg-input-synaptics-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org

Package: kde-config-touchpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-touchpad (<< 5.1.95~)
Replaces: kde-touchpad (<< 5.1.95~)
Description: touchpad configuration tool for KDE
 The package provides a KDE System Settings module that
 allows configuration of touchpads on KDE.

Package: kde-touchpad
Architecture: any
Depends: kde-config-touchpad
Section: oldlibs
Priority: extra
Description: transitional package
 Transitional package for kde-config-touchpad, this package can be
 safely removed.

Package: kde-config-touchpad-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-config-touchpad (= ${binary:Version}), ${misc:Depends}
Breaks: kde-touchpad-dbg (<< 5.1.95~)
Replaces: kde-touchpad-dbg (<< 5.1.95~)
Description: touchpad configuration tool for KDE
 The package provides a KDE System Settings module that
 allows configuration of touchpads on KDE.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-config-touchpad-dbg
